package org.kne.cloud.network.frpc;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;

import org.ini4j.InvalidFileFormatException;

import com.moandjiezana.toml.Toml;
import com.moandjiezana.toml.TomlWriter;
public class FrpcToml extends Toml{
	
	public FrpcToml() {
		super();
	}
	public FrpcToml(File input) throws IOException, InvalidFileFormatException {
		Toml t=new Toml().read(input);
		System.out.println(t.toMap());
	}

	public FrpcToml(InputStream input) throws IOException, InvalidFileFormatException {
		Toml t=new Toml().read(input);
		System.out.println(t.toMap());
	}

	public FrpcToml(Reader input) throws IOException, InvalidFileFormatException {
		Toml t=new Toml().read(input);
		System.out.println(t.toMap());
	}

	public FrpcToml(String input) throws InvalidFileFormatException {
		Toml t=new Toml().read(input);
		System.out.println(t.toMap());
	}
	public static void main(String[] args) throws IOException {
		Toml t=new Toml().read(new File("C:\\KNE的文件夹\\coding\\java\\KLALB\\frpc\\frpc.toml"));
		System.out.println(t.toMap());
		TomlWriter te=new TomlWriter();
		 System.out.println( te.write(""));
	}
}
